org.apache.xpath.functions

## Class FuncFloor

- java.lang.Object
- - org.apache.xpath.Expression
  - - org.apache.xpath.functions.Function
    - - org.apache.xpath.functions.FunctionOneArg
      - - org.apache.xpath.functions.FuncFloor

- All Implemented Interfaces:
    java.io.Serializable, SourceLocator, ExpressionNode, ExpressionOwner, XPathVisitable

      public class FuncFloor
      extends FunctionOneArg

  Execute the Floor() function.
  See Also:
    Serialized Form
  Usage:
    **For advanced use only**

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FuncFloor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XObject` | `execute(XPathContext xctxt)` Execute the function.

    - ### Methods inherited from class org.apache.xpath.functions.FunctionOneArg

      `callArgVisitors, canTraverseOutsideSubtree, checkNumberArgs, deepEquals, fixupVariables, getArg0, getExpression, setArg, setExpression`

    - ### Methods inherited from class org.apache.xpath.functions.Function

      `callVisitors, postCompileStep`

    - ### Methods inherited from class org.apache.xpath.Expression

      `asIterator, asIteratorRaw, asNode, assertion, bool, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FuncFloor

          public FuncFloor()

  - ### Method Detail

    - #### execute

          public XObject execute(XPathContext xctxt)
                          throws TransformerException

      Execute the function. The function must return a valid object.
      Overrides:
        `execute` in class `Function`
      Parameters:
        `xctxt` - The current execution context.
      Returns:
        A valid XObject.
      Throws:
        `TransformerException`

Copyright © 2014 Apache XML Project. All Rights Reserved.